/*
 * Copyright (c) 2015, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 *       copyright notice, this list of conditions and the following
 *       disclaimer in the documentation and/or other materials provided
 *       with the distribution.
 *     * Neither the name of The Linux Foundation nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package com.suntek.mway.rcs.client.aidl.provider.model;

/**
 * <p>
 * Title: CapabilitiesColumn class
 * </p>
 * <p>
 * Description: The class <code>CapabilitiesColumn</code> represents capability
 * information which is indicated by the field definition in this class.
 * </p>
 * <p>
 * Copyright: Copyright (c) 2014
 * </p>
 * <p>
 * Company: pci-suntek
 * </p>
 * 
 * @author YFB
 * @version 1.0
 */
public class CapabilitiesColumn {

    public static final String KEY_ID = "_id";

    public static final String KEY_CONTACT = "contact";

    public static final String KEY_IMAGE_SHARING = "imageSharing";

    public static final String KEY_VIDEO_SHARING = "videoSharing";

    public static final String KEY_IMSESSION = "imSession";

    public static final String KEY_FILE_TRANSFER = "fileTransfer";

    public static final String KEY_GEOLOC_PUSH = "geolocPush";

    public static final String KEY_IP_VOICE_CALL = "ipVoiceCall";

    public static final String KEY_IP_VIDEO_CALL = "ipVideoCall";

    public static final String KEY_EXTENSIONS = "extensions";

    public static final String KEY_TIME = "time";

}
