/*
 * Copyright (c) 2014 pci-suntektech Technologies, Inc.  All Rights Reserved.
 * pci-suntektech Technologies Proprietary and Confidential.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package com.suntek.mway.rcs.client.api.plugin.entity.richscrn;

import java.util.ArrayList;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * <p>
 * Title: The PhoneList entity
 * </p>
 * <p>
 * Description: the Phone List entity
 * </p>
 * <p>
 * Copyright: Copyright (c) 2014
 * </p>
 * <p>
 * Company: pci-suntek
 * </p>
 * 
 * @author zrq
 * @version 1.0
 */
public class PhoneList implements Parcelable {

    /** The phone list . */
    private ArrayList<String> phoneList;

    public ArrayList<String> getPhoneList() {
        return phoneList;
    }

    public void setPhoneList(ArrayList<String> phoneList) {
        this.phoneList = phoneList;
    }

    /**
     * Instantiates a new phone list.
     */
    public PhoneList() {
    }

    /**
     * Instantiates a new phone list.
     * 
     * @param source the source
     */
    public PhoneList(Parcel source) {
        readFromParcel(source);
    }

    /**
     * The parcel describe contents, defaul is 0.
     * 
     * @return the int
     */
    @Override
    public int describeContents() {
        return 0;
    }

    /**
     * Write the result entity to parcel stream. Pay attention to read and write
     * variables variables sequence should be consistent or not the correct
     * results
     * 
     * @param dest the dest parcel stream
     * @param flags the flags
     */
    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeStringList(phoneList);
    }

    /**
     * Create the result entity from parcel stream. Pay attention to read and
     * write variables variables sequence should be consistent or not the
     * correct results
     * 
     * @param source The parcel stream
     */
    public void readFromParcel(Parcel source) {
        phoneList = source.createStringArrayList();
    }

    /** The parcel creator. */
    public static final Parcelable.Creator<PhoneList> CREATOR = new Parcelable.Creator<PhoneList>() {
        @Override
        public PhoneList createFromParcel(Parcel source) {
            return new PhoneList(source);
        }

        @Override
        public PhoneList[] newArray(int size) {
            return new PhoneList[size];
        }
    };

}
